/**
 * ParticipationPhysicalPerformer.java
 *
 * File generated from the medication::ParticipationPhysicalPerformer uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationPhysicalPerformer.
 *
 * 
 */

@XmlType(name = "ParticipationPhysicalPerformer")
@XmlEnum
@XmlRootElement(name = "ParticipationPhysicalPerformer")
public enum ParticipationPhysicalPerformer {
	@XmlEnumValue("PRF")
	PRF("PRF"),
	@XmlEnumValue("DIST")
	DIST("DIST"),
	@XmlEnumValue("PPRF")
	PPRF("PPRF"),
	@XmlEnumValue("SPRF")
	SPRF("SPRF");
	
	private final String value;

    ParticipationPhysicalPerformer(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ParticipationPhysicalPerformer fromValue(String v) {
        for (ParticipationPhysicalPerformer c: ParticipationPhysicalPerformer.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}